package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.dto.VideoLessonGroupDetailDto;
import com.yonge.cooleshow.biz.dal.entity.VideoLessonGroup;
import com.yonge.cooleshow.biz.dal.entity.VideoLessonGroupDetail;
import com.yonge.cooleshow.biz.dal.valid.impl.ValidList;
import com.yonge.cooleshow.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;

/**
 * @author: cy
 * @date: 2022/4/1 10:41
 */
@ApiModel(value = "VideoLessonVo")
public class VideoLessonVo extends BaseEntity {

    @ApiModelProperty(value = "操作人",hidden = true)
    private Long userBy;
    @Valid
    private VideoLessonGroup lessonGroup;

    @ApiModelProperty("后台保存草稿时，判断是第几页，第一页不处理关联曲目数据")
    private Integer page = 2;

    private ValidList<@Valid VideoLessonGroupDetailDto> lessonList;

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Long getUserBy() {
        return userBy;
    }

    public void setUserBy(Long userBy) {
        this.userBy = userBy;
    }

    public VideoLessonGroup getLessonGroup() {
        return lessonGroup;
    }

    public void setLessonGroup(VideoLessonGroup lessonGroup) {
        this.lessonGroup = lessonGroup;
    }

    public ValidList<VideoLessonGroupDetailDto> getLessonList() {
        return lessonList;
    }

    public void setLessonList(ValidList<VideoLessonGroupDetailDto> lessonList) {
        this.lessonList = lessonList;
    }
}